%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           plmgmt
Version:        0.0.9
Release:        %{mybuildnumber}%{?dist}
Summary:        Add playlist management to Nautilus
BuildArch:      noarch

License:        GPLv3+
URL:            https://github.com/Rudd-O/plmgmt
Source0:	https://github.com/Rudd-O/%{name}/archive/{%version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  coreutils
BuildRequires:  tar
BuildRequires:  gawk
BuildRequires:  findutils

Requires:       python3-nautilus
Requires:       python3-jsonrpclib
Requires:       libnotify
Requires:       python3
Requires:       notification-daemon

%description
This package adds playlist management functions to Nautilus.

%prep
%setup -q

%build
# variables must be kept in sync with install
make DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} DATADIR=%{_datadir}

%install
rm -rf $RPM_BUILD_ROOT
# variables must be kept in sync with build
make install DESTDIR=$RPM_BUILD_ROOT BINDIR=%{_bindir} DATADIR=%{_datadir}

%files
%attr(0755, root, root) %{_bindir}/relm3u
%attr(0755, root, root) %{_bindir}/add-song-to-month-playlist
%attr(0755, root, root) %{_bindir}/add-kodi-song-to-month-playlist
%attr(0755, root, root) %{_bindir}/kodi-clean-libraries
%attr(0644, root, root) %{_datadir}/nautilus-python/extensions/*.py*
%attr(0644, root, root) %{_datadir}/applications/*.desktop

%changelog
* Thu Nov 29 2018 Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Initial release
